{
  "name": "@idp.global/idp.global",
  "version": "1.4.3",
  "description": "An identity provider software managing user authentications, registrations, and sessions.",
  "main": "dist_ts/index.js",
  "typings": "dist_ts/index.d.ts",
  "type": "module",
  "scripts": {
    "test": "npm run build",
    "build": "tsbuild tsfolders --web --allowimplicitany && tsbundle website --production",
    "watch": "tswatch website",
    "start": "(node cli.js)",
    "startTs": "(node cli.ts.js)",
    "buildDocs": "tsdoc"
  },
  "author": "Task Venture Capital GmbH",
  "license": "MIT",
  "dependencies": {
    "@api.global/typedrequest": "^3.1.10",
    "@api.global/typedrequest-interfaces": "^3.0.19",
    "@api.global/typedserver": "^3.0.80",
    "@api.global/typedsocket": "^3.0.1",
    "@consent.software/catalog": "^2.0.1",
    "@design.estate/dees-catalog": "^2.0.0",
    "@design.estate/dees-domtools": "^2.3.6",
    "@design.estate/dees-element": "^2.1.3",
    "@push.rocks/lik": "^6.2.2",
    "@push.rocks/qenv": "^6.1.3",
    "@push.rocks/smartdata": "^7.0.14",
    "@push.rocks/smartdelay": "^3.0.5",
    "@push.rocks/smarthash": "^3.2.6",
    "@push.rocks/smartjson": "^5.2.0",
    "@push.rocks/smartjwt": "^2.2.1",
    "@push.rocks/smartlog": "^3.1.10",
    "@push.rocks/smartmail": "^2.2.0",
    "@push.rocks/smartpath": "^6.0.0",
    "@push.rocks/smartpromise": "^4.2.3",
    "@push.rocks/smartrx": "^3.0.10",
    "@push.rocks/smartstate": "^2.0.27",
    "@push.rocks/smarttime": "^4.1.1",
    "@push.rocks/smartunique": "^3.0.9",
    "@push.rocks/smarturl": "^3.1.0",
    "@push.rocks/taskbuffer": "^3.4.0",
    "@push.rocks/webjwt": "^1.0.9",
    "@push.rocks/websetup": "^3.0.15",
    "@push.rocks/webstore": "^2.0.20",
    "@serve.zone/platformclient": "^1.1.2",
    "@tsclass/tsclass": "^9.3.0",
    "@uptime.link/webwidget": "^1.2.4"
  },
  "devDependencies": {
    "@git.zone/tsbuild": "^3.1.2",
    "@git.zone/tsbundle": "^2.6.2",
    "@git.zone/tsrun": "^2.0.0",
    "@git.zone/tswatch": "^2.2.1",
    "@push.rocks/projectinfo": "^5.0.1",
    "@types/node": "^24.10.1"
  },
  "private": true,
  "repository": {
    "type": "git",
    "url": "git+https://code.foss.global/idp.global/idp.global.git"
  },
  "bugs": {
    "url": "https://code.foss.global/idp.global/idp.global/issues"
  },
  "homepage": "https://code.foss.global/idp.global/idp.global#readme",
  "browserslist": [
    "last 1 chrome versions"
  ],
  "files": [
    "ts/**/*",
    "ts_web/**/*",
    "dist/**/*",
    "dist_*/**/*",
    "dist_ts/**/*",
    "dist_ts_web/**/*",
    "assets/**/*",
    "cli.js",
    "npmextra.json",
    "readme.md"
  ],
  "keywords": [
    "identity provider",
    "authentication",
    "user management",
    "registration",
    "session management",
    "JWT",
    "TypeScript",
    "user login",
    "session handling",
    "email verification",
    "mobile verification",
    "user roles",
    "organization management",
    "billing management",
    "password reset",
    "two-factor authentication",
    "OAuth",
    "API",
    "user data",
    "user sessions"
  ],
  "packageManager": "pnpm@10.7.0+sha512.6b865ad4b62a1d9842b61d674a393903b871d9244954f652b8842c2b553c72176b278f64c463e52d40fff8aba385c235c8c9ecf5cc7de4fd78b8bb6d49633ab6"
}
